# draugr.torch_utilities.datasets.supervised.categorical_dataset.CategoricalDataset

class draugr.torch_utilities.datasets.supervised.categorical_dataset.CategoricalDataset

  Bases: `SupervisedDataset`

  Categorical Dataset for discrete learning problems.

  __init__()

  Methods

  `__init__`() |
  `idx_to_str`(idx) | description
  `str_to_idx`(s) | description

  Attributes

  `categories` | description
  `predictor_shape` | description
  `response_shape` | description
  `split_names` | return: :rtype:

  abstract property categories: OrderedSet[ str ]

    description

  idx_to_str(idx: Sequence [ int ]) → Sequence [ str ]

    description

  abstract property predictor_shape: Tuple [ int , ...]

    description

  abstract property response_shape: Tuple [ int , ...]

    description

  property split_names: Dict [ SplitEnum , str ]

    return: :rtype:

  str_to_idx(s: str ) → int

    description